Arch RemoveShape/ru
Jump to navigation
Jump to search
Arch
Документация пользователя
Outdated translations are marked like this.
|
Системное название |
---|
Arch RemoveShape |
Расположение в меню |
Архитектура → Утилиты → Удалить форму из Архитектуры |
Верстаки |
Arch |
Быстрые клавиши |
Нет |
Представлено в версии |
- |
См. также |
Сетка в фигуру |
Описание
This tool attempts at removing the inner cubic shape of an Arch Wall or
Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
Применение
- Select an
Arch Wall or
Arch Structure
- Press the
button or use Arch → Utilities →
Remove Shape from the top menu.
Программирование
See also: Arch API and FreeCAD Scripting Basics.
This tool can be used in macros and from the Python console by using the following function:
removeShape(objs, mark=True)
- Takes a list of Arch objects (
objs
) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.objs
is a single object, Arch Wall or Arch Structure, or a list of them.
- If
mark
isTrue
, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()
Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()
Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Начинающим
- Установка: Загрузка, Windows, Linux, Mac, Дополнительных компонентов, Docker, AppImage, Ubuntu Snap
- Базовая: О FreeCAD, Интерфейс, Навигация мыши, Методы выделения, Имя объекта, Настройки, Верстаки, Структура документа, Свойства, Помоги FreeCAD, Пожертвования
- Помощь: Учебники, Видео учебники
- Верстаки: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web